

ALTER TABLE SCHUETZEN
ADD AUSWEISNUMMER VARCHAR(20);



ALTER TABLE TEILNEHMER
ADD STANDARD_ERSATZ VARCHAR(1);




ALTER TABLE BEWERB
ADD MANNSCHAFTSWERTUNG VARCHAR(1);
 
 
 

 

ALTER TABLE MANNSCHAFT
ADD HEIM_GAST VARCHAR(1);



COMMIT WORK;


UPDATE BEWERB
SET MANNSCHAFTSWERTUNG = 'S';

COMMIT;








UPDATE BEWERB 
SET MANNSCHAFTSWERTUNG = 'S' 
WHERE MANNSCHAFTSWERTUNG IS NULL;
UPDATE RDB$RELATION_FIELDS SET RDB$NULL_FLAG = 1
WHERE RDB$FIELD_NAME = 'MANNSCHAFTSWERTUNG' AND RDB$RELATION_NAME = 'BEWERB';


COMMIT WORK;


UPDATE TEILNEHMER 
SET STANDARD_ERSATZ = 'S' 
WHERE STANDARD_ERSATZ IS NULL;
UPDATE RDB$RELATION_FIELDS SET RDB$NULL_FLAG = 1
WHERE RDB$FIELD_NAME = 'STANDARD_ERSATZ' AND RDB$RELATION_NAME = 'TEILNEHMER';

COMMIT WORK;


DROP VIEW SCHUETZEN_V1;


COMMIT WORK;


CREATE VIEW SCHUETZEN_V1 (SCHUETZEN_ID, ZUNAME, VORNAME, GEB_DATUM, ANREDE, TITEL, STRASSE, NATION, PLZ, ORT, TEL_PRIVAT, TEL_FIRMA, ERF_DATUM, AEN_DATUM, VEREIN, BANK, BLZ, KTO_NR, ABBUCHER, SCHUETZEN_NUMMER, FAX, MOBIL, EMAIL, STATUS, GESCHLECHT, AUSWEISNUMMER)
AS   
select SCHUETZEN_ID,
       ZUNAME,
       VORNAME,
       GEB_DATUM,
       a.TEXT as ANREDE,
       TITEL,
       STRASSE,
       o.NATION,
       o.PLZ,
       o.BEZEICHNUNG as ort,
       TEL_PRIVAT,
       TEL_FIRMA,
       ERF_DATUM,
       AEN_DATUM,
       v.BEZEICHNUNG AS VEREIN,
       BANK,
       BLZ,
       KTO_NR,
       ABBUCHER,
       SCHUETZEN_NUMMER,
       FAX,
       MOBIL,
       EMAIL,
       STATUS,
       GESCHLECHT,
	   AUSWEISNUMMER
  from SCHUETZEN s
    LEFT OUTER JOIN anrede a on
        s.ANREDE_ID = a.ANREDE_ID
    LEFT OUTER JOIN VEREINE v on
        s.VEREIN_ID = v.VEREIN_ID
    left outer join ORTE o on
        s.ORTE_ID = o.ORTE_ID;



COMMIT WORK;



DROP VIEW TEILNEHMER_V1;


COMMIT WORK;



CREATE VIEW TEILNEHMER_V1 (BEWERB_ID, SCHUETZEN_NR, TEILNEHMER_ID, SCHUETZEN_ID, ZUNAME, VORNAME, GEB_DATUM, KLASSE_BEZEICHNUNG, SCHUSS, DISZIPLIN, VEREIN_BEZEICHNUNG, SCHEIBE_VON, SCHEIBE_BIS, KLASSE, TURNIERKLASSEN_ID, KLASSEN_ID, VEREIN_ID, MANNSCHAFT_ID, ZUSCHLAG, FINALE, NATION, PLZ, ORT, ANREDE, STRASSE, GESCHLECHT, AUSWEISNUMMER)
AS    
select t.BEWERB_ID,
       t.schuetzen_nr,
       t.teilnehmer_id,
       s.schuetzen_id,
       s.zuname,
       s.vorname,
       s.geb_datum,
       k.bezeichnung as klasse_bezeichnung,
       tk.schuss as schuss,
       tk.disziplin as disziplin,
       v.bezeichnung as verein_bezeichnung,
       t.SCHEIBE_VON,
       t.SCHEIBE_BIS,
       k.bezeichnung||' '||tk.disziplin||' '||tk.schuss as klasse,
       t.TURNIERKLASSEN_ID,
       k.klassen_id,
       t.verein_id,
       t.mannschaft_id,
       t.zuschlag,
       t.finale,
       o.nation,       
       o.plz,
       o.bezeichnung as ort,
       text as anrede,
       strasse,
	   a.geschlecht,
	   s.ausweisnummer
from VEREINE v, klassen k, turnierklassen tk, teilnehmer t, SCHUETZEN s
left outer join orte o on o.orte_id = s.orte_id
left outer join anrede a on a.anrede_id = s.anrede_id
where t.bewerb_id = tk.bewerb_id
and t.TURNIERKLASSEN_ID = tk.TURNIERKLASSEN_ID
and k.klassen_id = tk.klassen_id
and t.verein_id = v.verein_id
and s.SCHUETZEN_ID = t.SCHUETZEN_ID;

COMMIT WORK;


CREATE TABLE MANNSCHAFTSVERGLEICHSKAMPF
(
  SATZNUMMER integer NOT NULL,
  BEWERB_ID integer NOT NULL,
  H_R1 float,
  H_R2 float,
  H_R3 float,
  H_R4 float,
  H_R5 float,
  H_R6 float,
  H_R7 float,
  H_R8 float,
  H_R9 float,
  H_R10 float,
  H_R11 float,
  H_R12 float,
  H_R13 float,
  H_R14 float,
  H_R15 float,
  H_R16 float,
  H_R17 float,
  H_R18 float,
  H_R19 float,
  H_R20 float,
  H_R21 float,
  H_R22 float,
  H_R23 float,
  H_R24 float,
  H_R25 float,
  H_R26 float,
  H_R27 float,
  H_R28 float,
  H_R29 float,
  H_R30 float,
  H_R31 float,
  H_R32 float,
  H_R33 float,
  H_R34 float,
  H_R35 float,
  H_R36 float,
  H_R37 float,
  H_R38 float,
  H_R39 float,
  H_R40 float,
  H_R41 float,
  H_R42 float,
  H_R43 float,
  H_R44 float,
  H_R45 float,
  H_R46 float,
  H_R47 float,
  H_R48 float,
  H_R49 float,
  H_R50 float,
  H_R51 float,
  H_R52 float,
  H_R53 float,
  H_R54 float,
  H_R55 float,
  H_R56 float,
  H_R57 float,
  H_R58 float,
  H_R59 float,
  H_R60 float,
  H_SUMME1 float,
  H_SUMME2 float,
  H_SUMME3 float,
  H_SUMME4 float,
  H_SUMME5 float,
  H_SUMME6 float,
  H_SUMME40 float,
  H_SUMME60 float,
  H_STANDARD_ERSATZ varchar(1) not null,
  H_TEILNEHMER_ID integer not null,
  G_R1 float,
  G_R2 float,
  G_R3 float,
  G_R4 float,
  G_R5 float,
  G_R6 float,
  G_R7 float,
  G_R8 float,
  G_R9 float,
  G_R10 float,
  G_R11 float,
  G_R12 float,
  G_R13 float,
  G_R14 float,
  G_R15 float,
  G_R16 float,
  G_R17 float,
  G_R18 float,
  G_R19 float,
  G_R20 float,
  G_R21 float,
  G_R22 float,
  G_R23 float,
  G_R24 float,
  G_R25 float,
  G_R26 float,
  G_R27 float,
  G_R28 float,
  G_R29 float,
  G_R30 float,
  G_R31 float,
  G_R32 float,
  G_R33 float,
  G_R34 float,
  G_R35 float,
  G_R36 float,
  G_R37 float,
  G_R38 float,
  G_R39 float,
  G_R40 float,
  G_R41 float,
  G_R42 float,
  G_R43 float,
  G_R44 float,
  G_R45 float,
  G_R46 float,
  G_R47 float,
  G_R48 float,
  G_R49 float,
  G_R50 float,
  G_R51 float,
  G_R52 float,
  G_R53 float,
  G_R54 float,
  G_R55 float,
  G_R56 float,
  G_R57 float,
  G_R58 float,
  G_R59 float,
  G_R60 float,
  G_SUMME1 float,
  G_SUMME2 float,
  G_SUMME3 float,
  G_SUMME4 float,
  G_SUMME5 float,
  G_SUMME6 float,
  G_SUMME40 float,
  G_SUMME60 float,
  G_STANDARD_ERSATZ varchar(1) not null,
  G_TEILNEHMER_ID integer not null,
  CONSTRAINT AUSWERTUNG_PK PRIMARY KEY (SATZNUMMER)
);



COMMIT WORK;



ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF
ADD CONSTRAINT FK_MANNSCHAFTSVERGLEICHSKAMPF_1 FOREIGN KEY (H_TEILNEHMER_ID, BEWERB_ID)
REFERENCES TEILNEHMER(TEILNEHMER_ID, BEWERB_ID);

ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF
ADD CONSTRAINT FK_MANNSCHAFTSVERGLEICHSKAMPF_2 FOREIGN KEY (G_TEILNEHMER_ID, BEWERB_ID)
REFERENCES TEILNEHMER(TEILNEHMER_ID, BEWERB_ID);



COMMIT WORK;
 
 
 
ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD h_schuetzen_nr INTEGER;

ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD h_turnierklassen_id INTEGER;

ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD h_name VARCHAR(50);

ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD h_zuschlag SMALLINT;

ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD h_schuss SMALLINT;

ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD h_disziplin VARCHAR(300);

ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD h_zehntel VARCHAR(1);

ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD h_ausweisnummer VARCHAR(20);


ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD g_schuetzen_nr INTEGER;

ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD g_turnierklassen_id INTEGER;

ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD g_name VARCHAR(50);

ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD g_zuschlag SMALLINT;

ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD g_schuss SMALLINT;

ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD g_disziplin VARCHAR(300);

ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD g_zehntel VARCHAR(1);

ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD g_ausweisnummer VARCHAR(20);



COMMIT WORK;


UPDATE RDB$RELATION_FIELDS SET RDB$NULL_FLAG = NULL
WHERE RDB$FIELD_NAME = 'G_STANDARD_ERSATZ' AND RDB$RELATION_NAME = 'MANNSCHAFTSVERGLEICHSKAMPF';

UPDATE RDB$RELATION_FIELDS SET RDB$NULL_FLAG = NULL
WHERE RDB$FIELD_NAME = 'H_STANDARD_ERSATZ' AND RDB$RELATION_NAME = 'MANNSCHAFTSVERGLEICHSKAMPF';

UPDATE RDB$RELATION_FIELDS SET RDB$NULL_FLAG = NULL
WHERE RDB$FIELD_NAME = 'G_TEILNEHMER_ID' AND RDB$RELATION_NAME = 'MANNSCHAFTSVERGLEICHSKAMPF';

UPDATE RDB$RELATION_FIELDS SET RDB$NULL_FLAG = NULL
WHERE RDB$FIELD_NAME = 'H_TEILNEHMER_ID' AND RDB$RELATION_NAME = 'MANNSCHAFTSVERGLEICHSKAMPF';


COMMIT WORK;

ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD H_GEBJAHR INTEGER;

ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD G_GEBJAHR INTEGER;

COMMIT WORK;
 
 
ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD H_SCHEIBE_VON INTEGER;

ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD G_SCHEIBE_VON INTEGER;
 
COMMIT WORK;

 
ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
DROP h_disziplin;

ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
DROP g_disziplin;
 
 
 
ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD h_disziplin VARCHAR(250);

ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD g_disziplin VARCHAR(250);
 
 
COMMIT WORK;



ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD h_mannschaft VARCHAR(40);

ALTER TABLE MANNSCHAFTSVERGLEICHSKAMPF 
ADD g_mannschaft VARCHAR(40);
 
 
COMMIT WORK;
 

UPDATE KONFIG
   SET WERT = '17'
 WHERE PC = '$$GLOBAL$$'
   AND VAR = 'LAST_SQL';
   
COMMIT WORK;	





