insert into bew_art
(
BEW_ART_ID, 
BEZEICHNUNG, 
AKTIV, 
BUND, 
LAND, 
BEZIRK, 
GILDE, 
EXPORT
)
values
(
13,
'Pistolenschießen',
'J',
'T',
'J',
'J',
'J',
'J'
);

commit;





create table pistolen_teilnehmer_bewerb
(
	bewerb_id integer not null,
	unterbewerb_id integer not null,
	teilnehmer_id integer not null,
	klassen_id integer not null
);


alter table pistolen_teilnehmer_bewerb
add constraint pk_pistolen_teilnehmer_bewerb primary key(bewerb_id, unterbewerb_id,	teilnehmer_id);

alter table pistolen_teilnehmer_bewerb
add constraint fk_pistolen_teilnehmer_bewerb_1 foreign key(teilnehmer_id,bewerb_id)
references teilnehmer;

alter table pistolen_teilnehmer_bewerb
add constraint fk_pistolen_teilnehmer_bewerb_2 foreign key(unterbewerb_id,bewerb_id)
references unterbewerb;

alter table pistolen_teilnehmer_bewerb
add constraint fk_pistolen_teilnehmer_bewerb_3 foreign key(klassen_id)
references klassen;





create table pistolenbewerb
(
	bewerb_id integer not null,
	pistolenbewerb_id integer not null,
	bezeichnung varchar(50) not null,
	schuss integer not null,
	art varchar(10) not null
);


alter table pistolenbewerb
add constraint pk_pistolenbewerb primary key(bewerb_id, pistolenbewerb_id);

alter table pistolenbewerb
add constraint fk_pistolenbewerb_1 foreign key(bewerb_id)
references bewerb;


alter table pistolenbewerb 
add constraint pistolenbewerb_cc1 
CHECK (art IN ('SKKP', 'FP', 'SP', 'ZF', 'OSP', 'STD'));


alter table pistolenbewerb 
add constraint pistolenbewerb_cc2
CHECK (schuss IN (30,40,60));




drop table pistolen_teilnehmer_bewerb;


create table pistolen_teilnehmer_bewerb
(
	bewerb_id integer not null,
	pistolenbewerb_id integer not null,
	teilnehmer_id integer not null,
	klassen_id integer not null
);


alter table pistolen_teilnehmer_bewerb
add constraint pk_pistolen_teilnehmer_bewerb primary key(bewerb_id, pistolenbewerb_id,teilnehmer_id);

alter table pistolen_teilnehmer_bewerb
add constraint fk_pistolen_teilnehmer_bewerb_1 foreign key(teilnehmer_id,bewerb_id)
references teilnehmer;

alter table pistolen_teilnehmer_bewerb
add constraint fk_pistolen_teilnehmer_bewerb_2 foreign key(bewerb_id,pistolenbewerb_id)
references pistolenbewerb;

alter table pistolen_teilnehmer_bewerb
add constraint fk_pistolen_teilnehmer_bewerb_3 foreign key(klassen_id)
references klassen;


commit work;



alter table pistolenbewerb
drop schuss;



create table pistolenklassen
(
	bewerb_id integer not null,
	pistolenbewerb_id integer not null,
	pistolenklassen_id integer not null,
	klassen_id integer not null,
	schuss integer not null
);



alter table pistolenklassen
add constraint pk_pistolenklassen primary key(bewerb_id, pistolenbewerb_id,pistolenklassen_id);

alter table pistolenklassen
add constraint fk_pistolenklassen_1 foreign key(bewerb_id,pistolenbewerb_id)
references pistolenbewerb;

alter table pistolenklassen
add constraint fk_pistolenklassen_2 foreign key(klassen_id)
references klassen;


alter table pistolenklassen 
add constraint pistolenklassen_cc1
CHECK (schuss IN (30,40,60));


commit work;




drop table pistolen_teilnehmer_bewerb;


create table pistolen_teilnehmer_bewerb
(
	bewerb_id integer not null,
	pistolenbewerb_id integer not null,
	teilnehmer_id integer not null,
	pistolenklassen_id integer not null
);


alter table pistolen_teilnehmer_bewerb
add constraint pk_pistolen_teilnehmer_bewerb primary key(bewerb_id, pistolenbewerb_id,teilnehmer_id);

alter table pistolen_teilnehmer_bewerb
add constraint fk_pistolen_teilnehmer_bewerb_1 foreign key(teilnehmer_id,bewerb_id)
references teilnehmer;

alter table pistolen_teilnehmer_bewerb
add constraint fk_pistolen_teilnehmer_bewerb_2 foreign key(bewerb_id,pistolenbewerb_id)
references pistolenbewerb;

alter table pistolen_teilnehmer_bewerb
add constraint fk_pistolen_teilnehmer_bewerb_3 foreign key(bewerb_id, pistolenbewerb_id,pistolenklassen_id)
references pistolenklassen;


commit work;



alter table pistolenklassen
add sortierung integer;

commit work;



CREATE TABLE DURCHGANG3
(
  BEWERB_ID integer NOT NULL,
  PISTOLENBEWERB_ID integer NOT NULL,
  UNTERBEWERB_ID integer NOT NULL,
  TEILNEHMER_ID integer NOT NULL,  
  R1 decimal(7,1),
  R2 decimal(7,1),
  R3 decimal(7,1),
  R4 decimal(7,1),
  R5 decimal(7,1),
  R6 decimal(7,1),
  R7 decimal(7,1),
  R8 decimal(7,1),
  R9 decimal(7,1),
  R10 decimal(7,1),
  R11 decimal(7,1),
  R12 decimal(7,1),
  R13 decimal(7,1),
  R14 decimal(7,1),
  R15 decimal(7,1),
  R16 decimal(7,1),
  R17 decimal(7,1),
  R18 decimal(7,1),
  R19 decimal(7,1),
  R20 decimal(7,1),
  R21 decimal(7,1),
  R22 decimal(7,1),
  R23 decimal(7,1),
  R24 decimal(7,1),
  R25 decimal(7,1),
  R26 decimal(7,1),
  R27 decimal(7,1),
  R28 decimal(7,1),
  R29 decimal(7,1),
  R30 decimal(7,1),
  R31 decimal(7,1),
  R32 decimal(7,1),
  R33 decimal(7,1),
  R34 decimal(7,1),
  R35 decimal(7,1),
  R36 decimal(7,1),
  R37 decimal(7,1),
  R38 decimal(7,1),
  R39 decimal(7,1),
  R40 decimal(7,1),
  R41 decimal(7,1),
  R42 decimal(7,1),
  R43 decimal(7,1),
  R44 decimal(7,1),
  R45 decimal(7,1),
  R46 decimal(7,1),
  R47 decimal(7,1),
  R48 decimal(7,1),
  R49 decimal(7,1),
  R50 decimal(7,1),
  R51 decimal(7,1),
  R52 decimal(7,1),
  R53 decimal(7,1),
  R54 decimal(7,1),
  R55 decimal(7,1),
  R56 decimal(7,1),
  R57 decimal(7,1),
  R58 decimal(7,1),
  R59 decimal(7,1),
  R60 decimal(7,1),
  SUMME1 decimal(7,1),
  SUMME2 decimal(7,1),
  SUMME3 decimal(7,1),
  SUMME4 decimal(7,1),
  SUMME5 decimal(7,1),
  SUMME6 decimal(7,1),
  SUMME40 decimal(7,1),
  SUMME60 decimal(7,1),  
  ANZ10 smallint,
  ANZ9 smallint,
  ANZ8 smallint,
  ANZ7 smallint,
  ANZ6 smallint,
  ANZ5 smallint,
  ANZ4 smallint,
  ANZ3 smallint,
  ANZ2 smallint,
  ANZ1 smallint,
  ANZ_IZ smallint,
  CONSTRAINT DURCHGANG3_PK PRIMARY KEY (TEILNEHMER_ID,UNTERBEWERB_ID,PISTOLENBEWERB_ID,BEWERB_ID)
);

ALTER TABLE DURCHGANG3 ADD CONSTRAINT FK_DURCHGANG3_1
  FOREIGN KEY (TEILNEHMER_ID,BEWERB_ID) REFERENCES TEILNEHMER (TEILNEHMER_ID,BEWERB_ID);
  
ALTER TABLE DURCHGANG3 ADD CONSTRAINT FK_DURCHGANG3_2
  FOREIGN KEY (UNTERBEWERB_ID,BEWERB_ID) REFERENCES UNTERBEWERB (UNTERBEWERB_ID,BEWERB_ID);
  
ALTER TABLE DURCHGANG3 ADD CONSTRAINT FK_DURCHGANG3_3
  FOREIGN KEY (BEWERB_ID,PISTOLENBEWERB_ID) REFERENCES PISTOLENBEWERB (BEWERB_ID,PISTOLENBEWERB_ID);  


commit work;



create table PISTOLENMANNSCHAFT
(
  BEWERB_ID INTEGER NOT NULL,
  PISTOLENBEWERB_ID INTEGER NOT NULL,
  UNTERBEWERB_ID INTEGER NOT NULL,
  MANNSCHAFT_ID INTEGER NOT NULL,
  PISTOLENKLASSEN_ID INTEGER NOT NULL
);

alter table PISTOLENMANNSCHAFT
add constraint PISTOLENMANNSCHAFT_PK primary key (MANNSCHAFT_ID,UNTERBEWERB_ID,PISTOLENBEWERB_ID,BEWERB_ID);

ALTER TABLE PISTOLENMANNSCHAFT ADD CONSTRAINT FK_PISTOLENMANNSCHAFT_1
  FOREIGN KEY (BEWERB_ID,PISTOLENBEWERB_ID) REFERENCES PISTOLENBEWERB (BEWERB_ID,PISTOLENBEWERB_ID);
  
ALTER TABLE PISTOLENMANNSCHAFT ADD CONSTRAINT FK_PISTOLENMANNSCHAFT_2
  FOREIGN KEY (UNTERBEWERB_ID,BEWERB_ID) REFERENCES UNTERBEWERB (UNTERBEWERB_ID,BEWERB_ID);  
  
ALTER TABLE PISTOLENMANNSCHAFT ADD CONSTRAINT FK_PISTOLENMANNSCHAFT_3
  FOREIGN KEY (BEWERB_ID,PISTOLENBEWERB_ID,PISTOLENKLASSEN_ID) REFERENCES PISTOLENKLASSEN (BEWERB_ID,PISTOLENBEWERB_ID,PISTOLENKLASSEN_ID);   


commit work;




create table PISTOLENMANNSCHAFTTEILNEHMER
(
  BEWERB_ID INTEGER NOT NULL,
  PISTOLENBEWERB_ID INTEGER NOT NULL,
  UNTERBEWERB_ID INTEGER NOT NULL,
  MANNSCHAFT_ID INTEGER NOT NULL,
  TEILNEHMER_ID INTEGER NOT NULL
);

alter table PISTOLENMANNSCHAFTTEILNEHMER
add constraint PISTOLENMANNSCHAFTTEILNEHMER_PK primary key (BEWERB_ID,PISTOLENBEWERB_ID,UNTERBEWERB_ID,MANNSCHAFT_ID,TEILNEHMER_ID);


commit work;



alter table PISTOLENMANNSCHAFT
drop constraint PISTOLENMANNSCHAFT_PK;

alter table PISTOLENMANNSCHAFT
add constraint PISTOLENMANNSCHAFT_PK primary key (BEWERB_ID,PISTOLENBEWERB_ID,UNTERBEWERB_ID,MANNSCHAFT_ID);


commit work;



alter table durchgang3
drop constraint DURCHGANG3_PK;

alter table durchgang3
add CONSTRAINT DURCHGANG3_PK PRIMARY KEY (BEWERB_ID,PISTOLENBEWERB_ID,UNTERBEWERB_ID,TEILNEHMER_ID);

commit work;



ALTER TABLE PISTOLENMANNSCHAFTTEILNEHMER
ADD CONSTRAINT FK_PISTOLENMANNSCHAFTT_1
FOREIGN KEY (BEWERB_ID,PISTOLENBEWERB_ID,UNTERBEWERB_ID,MANNSCHAFT_ID) REFERENCES PISTOLENMANNSCHAFT (BEWERB_ID,PISTOLENBEWERB_ID,UNTERBEWERB_ID,MANNSCHAFT_ID); 

ALTER TABLE PISTOLENMANNSCHAFTTEILNEHMER 
ADD CONSTRAINT FK_PISTOLENMANNSCHAFTT_2
FOREIGN KEY (TEILNEHMER_ID,BEWERB_ID) REFERENCES TEILNEHMER (TEILNEHMER_ID,BEWERB_ID);  

  
  
commit work;  


ALTER TABLE PISTOLENMANNSCHAFT ADD BEZEICHNUNG VARCHAR(40) NOT NULL;


commit work; 


ALTER TABLE PISTOLENMANNSCHAFTTEILNEHMER 
ADD CONSTRAINT FK_PISTOLENMANNSCHAFTT_3
FOREIGN KEY (UNTERBEWERB_ID,BEWERB_ID) REFERENCES UNTERBEWERB (UNTERBEWERB_ID,BEWERB_ID);  


ALTER TABLE PISTOLENMANNSCHAFTTEILNEHMER
DROP CONSTRAINT FK_PISTOLENMANNSCHAFTT_1;



commit work;



alter table PISTOLENMANNSCHAFT
drop constraint PISTOLENMANNSCHAFT_PK;

alter table PISTOLENMANNSCHAFT
add constraint PISTOLENMANNSCHAFT_PK primary key (BEWERB_ID,PISTOLENBEWERB_ID,MANNSCHAFT_ID);



ALTER TABLE PISTOLENMANNSCHAFTTEILNEHMER
ADD CONSTRAINT FK_PISTOLENMANNSCHAFTT_1
FOREIGN KEY (BEWERB_ID,PISTOLENBEWERB_ID,MANNSCHAFT_ID) REFERENCES PISTOLENMANNSCHAFT (BEWERB_ID,PISTOLENBEWERB_ID,MANNSCHAFT_ID); 


commit work;



ALTER TABLE PISTOLENMANNSCHAFT 
DROP CONSTRAINT FK_PISTOLENMANNSCHAFT_2;
  


ALTER TABLE PISTOLENMANNSCHAFT DROP UNTERBEWERB_ID;


commit work;


UPDATE RDB$RELATION_FIELDS SET RDB$NULL_FLAG = NULL
WHERE RDB$FIELD_NAME = 'MANNSCHAFT_ID' AND RDB$RELATION_NAME = 'PISTOLENMANNSCHAFTTEILNEHMER';


commit work;



alter table PISTOLENMANNSCHAFTTEILNEHMER
add scheibe_von integer;

alter table PISTOLENMANNSCHAFTTEILNEHMER
add scheibe_bis integer;

commit work;




alter table PISTOLENMANNSCHAFTTEILNEHMER
drop constraint PISTOLENMANNSCHAFTTEILNEHMER_PK;


alter table PISTOLENMANNSCHAFTTEILNEHMER
add constraint PISTOLENMANNSCHAFTTEILNEHMER_PK primary key (BEWERB_ID,PISTOLENBEWERB_ID,UNTERBEWERB_ID,TEILNEHMER_ID);


commit work;



ALTER TABLE PISTOLENMANNSCHAFTTEILNEHMER
ADD CONSTRAINT FK_PISTOLENMANNSCHAFTT_4
FOREIGN KEY (BEWERB_ID,PISTOLENBEWERB_ID,TEILNEHMER_ID) REFERENCES PISTOLEN_TEILNEHMER_BEWERB (BEWERB_ID,PISTOLENBEWERB_ID,TEILNEHMER_ID); 


commit work;



alter table durchgang3 add stoerung integer;

alter table durchgang3 add anz_iz_summe1 integer;
alter table durchgang3 add anz_iz_summe2 integer;
alter table durchgang3 add anz_iz_summe3 integer;
alter table durchgang3 add anz_iz_summe4 integer;
alter table durchgang3 add anz_iz_summe5 integer;
alter table durchgang3 add anz_iz_summe6 integer;

alter table durchgang3 add anz_iz_summe1a integer;
alter table durchgang3 add anz_iz_summe2a integer;
alter table durchgang3 add anz_iz_summe3a integer;
alter table durchgang3 add anz_iz_summe4a integer;
alter table durchgang3 add anz_iz_summe5a integer;
alter table durchgang3 add anz_iz_summe6a integer;

alter table durchgang3 add anz_iz_summe1b integer;
alter table durchgang3 add anz_iz_summe2b integer;
alter table durchgang3 add anz_iz_summe3b integer;
alter table durchgang3 add anz_iz_summe4b integer;
alter table durchgang3 add anz_iz_summe5b integer;
alter table durchgang3 add anz_iz_summe6b integer;

alter table durchgang3 add summe1a decimal(7,1);
alter table durchgang3 add summe2a decimal(7,1);
alter table durchgang3 add summe3a decimal(7,1);
alter table durchgang3 add summe4a decimal(7,1);
alter table durchgang3 add summe5a decimal(7,1);
alter table durchgang3 add summe6a decimal(7,1);

alter table durchgang3 add summe1b decimal(7,1);
alter table durchgang3 add summe2b decimal(7,1);
alter table durchgang3 add summe3b decimal(7,1);
alter table durchgang3 add summe4b decimal(7,1);
alter table durchgang3 add summe5b decimal(7,1);
alter table durchgang3 add summe6b decimal(7,1);

alter table durchgang3 add summe20 decimal(7,1);
alter table durchgang3 add summe30 decimal(7,1);

commit work;



UPDATE KONFIG
   SET WERT = '23'
 WHERE PC = '$$GLOBAL$$'
   AND VAR = 'LAST_SQL';
   
COMMIT WORK;	





