DROP VIEW TEILNEHMER_V1;


COMMIT WORK;


CREATE VIEW TEILNEHMER_V1 (BEWERB_ID, SCHUETZEN_NR, TEILNEHMER_ID, SCHUETZEN_ID, ZUNAME, VORNAME, GEB_DATUM, KLASSE_BEZEICHNUNG, SCHUSS, DISZIPLIN, VEREIN_BEZEICHNUNG, SCHEIBE_VON, SCHEIBE_BIS, KLASSE, TURNIERKLASSEN_ID, KLASSEN_ID, VEREIN_ID, MANNSCHAFT_ID, ZUSCHLAG, FINALE, NATION, PLZ, ORT, ANREDE, STRASSE, GESCHLECHT, AUSWEISNUMMER,zuschlag_art)
AS     
select t.BEWERB_ID,
       t.schuetzen_nr,
       t.teilnehmer_id,
       s.schuetzen_id,
       s.zuname,
       s.vorname,
       s.geb_datum,
       k.bezeichnung as klasse_bezeichnung,
       tk.schuss as schuss,
       tk.disziplin as disziplin,
       v.bezeichnung as verein_bezeichnung,
       t.SCHEIBE_VON,
       t.SCHEIBE_BIS,
       k.bezeichnung||' '||tk.disziplin||' '||tk.schuss as klasse,
       t.TURNIERKLASSEN_ID,
       k.klassen_id,
       t.verein_id,
       t.mannschaft_id,
       decode(coalesce(t.zuschlag,0),0,coalesce(tk.zuschlag,0),coalesce(t.zuschlag,0)) as zuschlag,
       t.finale,
       o.nation,       
       o.plz,
       o.bezeichnung as ort,
       text as anrede,
       strasse,
	   a.geschlecht,
	   s.ausweisnummer,
     decode(coalesce(t.zuschlag,0),0,tk.zuschlag_art,b.zuschlag_art) as zuschlag_art
from bewerb b, VEREINE v, klassen k, turnierklassen tk, teilnehmer t, SCHUETZEN s
left outer join orte o on o.orte_id = s.orte_id
left outer join anrede a on a.anrede_id = s.anrede_id
where t.bewerb_id = tk.bewerb_id
and t.TURNIERKLASSEN_ID = tk.TURNIERKLASSEN_ID
and k.klassen_id = tk.klassen_id
and t.verein_id = v.verein_id
and s.SCHUETZEN_ID = t.SCHUETZEN_ID
and t.bewerb_id = b.bewerb_id
;


COMMIT WORK;



DROP VIEW DURCHGANG_V1;

COMMIT WORK;



CREATE VIEW DURCHGANG_V1 (BEWERB_ID, SCHUETZEN_NR, TEILNEHMER_ID, SCHUETZEN_ID, ZUNAME, VORNAME, GEB_DATUM, KLASSE_BEZEICHNUNG, SCHUSS, DISZIPLIN, VEREIN_BEZEICHNUNG, SCHEIBE_VON, SCHEIBE_BIS, KLASSE, TURNIERKLASSEN_ID, KLASSEN_ID, VEREIN_ID, MANNSCHAFT_ID, ZUSCHLAG, FINALE, SUMME1, SUMME2, SUMME3, SUMME4, SUMME5, SUMME6, SUMME60, ANZ_IZ, ANZ1, ANZ2, ANZ3, ANZ4, ANZ5, ANZ6, ANZ7, ANZ8, ANZ9, ANZ10, SORTIERUNG, ZUSCHLAG_ART)
AS   
select t.BEWERB_ID,
       t.schuetzen_nr,
       t.teilnehmer_id,
       s.schuetzen_id,
       s.zuname,
       s.vorname,
       s.geb_datum,
       k.bezeichnung as klasse_bezeichnung,
       tk.schuss as schuss,
       tk.disziplin as disziplin,
       v.bezeichnung as verein_bezeichnung,
       t.SCHEIBE_VON,
       t.SCHEIBE_BIS,
       k.bezeichnung||' '||tk.disziplin||' '||tk.schuss as klasse,
       t.TURNIERKLASSEN_ID,
       k.klassen_id,
       t.verein_id,
       t.mannschaft_id,
       decode(coalesce(t.zuschlag,0),0,coalesce(tk.zuschlag,0),coalesce(t.zuschlag,0)) as zuschlag,
       t.finale,
       d.summe1,
       d.summe2,
       d.summe3,
       d.summe4,
       d.summe5,
       d.summe6,
       d.summe60,
       d.anz_iz,
       d.anz1,
       d.anz2,
       d.anz3,
       d.anz4,
       d.anz5,
       d.anz6,
       d.anz7,
       d.anz8,
       d.anz9,
       d.anz10,
       tk.sortierung,
     decode(coalesce(t.zuschlag,0),0,tk.zuschlag_art,b.zuschlag_art) as zuschlag_art              
from VEREINE v, klassen k, turnierklassen tk, teilnehmer t, SCHUETZEN s, DURCHGANG d, bewerb b
where t.bewerb_id = tk.bewerb_id
and t.TURNIERKLASSEN_ID = tk.TURNIERKLASSEN_ID
and k.klassen_id = tk.klassen_id
and t.verein_id = v.verein_id
and s.SCHUETZEN_ID = t.SCHUETZEN_ID
and t.teilnehmer_id = d.teilnehmer_id
and t.bewerb_id = d.bewerb_id
and t.bewerb_id = b.bewerb_id
and d.summe60 > 0;

COMMIT WORK;


DROP VIEW DURCHGANG2_V1;

COMMIT WORK;

CREATE VIEW DURCHGANG2_V1 (BEWERB_ID, UNTERBEWERB_ID, SCHUETZEN_NR, TEILNEHMER_ID, SCHUETZEN_ID, ZUNAME, VORNAME, GEB_DATUM, KLASSE_BEZEICHNUNG, SCHUSS, DISZIPLIN, VEREIN_BEZEICHNUNG, SCHEIBE_VON, SCHEIBE_BIS, KLASSE, TURNIERKLASSEN_ID, KLASSEN_ID, VEREIN_ID, MANNSCHAFT_ID, ZUSCHLAG, FINALE, SUMME1, SUMME2, SUMME3, SUMME4, SUMME5, SUMME6, SUMME60, ANZ_IZ, ANZ1, ANZ2, ANZ3, ANZ4, ANZ5, ANZ6, ANZ7, ANZ8, ANZ9, ANZ10, SORTIERUNG, ZUSCHLAG_ART)
AS   
select t.BEWERB_ID,
       d.unterbewerb_id,
       t.schuetzen_nr,
       t.teilnehmer_id,
       s.schuetzen_id,
       s.zuname,
       s.vorname,
       s.geb_datum,
       k.bezeichnung as klasse_bezeichnung,
       tk.schuss as schuss,
       tk.disziplin as disziplin,
       v.bezeichnung as verein_bezeichnung,
       t.SCHEIBE_VON,
       t.SCHEIBE_BIS,
       k.bezeichnung||' '||tk.disziplin||' '||tk.schuss as klasse,
       t.TURNIERKLASSEN_ID,
       k.klassen_id,
       t.verein_id,
       t.mannschaft_id,
       decode(coalesce(t.zuschlag,0),0,coalesce(tk.zuschlag,0),coalesce(t.zuschlag,0)) as zuschlag,
       t.finale,
       d.summe1,
       d.summe2,
       d.summe3,
       d.summe4,
       d.summe5,
       d.summe6,
       d.summe60,
       d.anz_iz,
       d.anz1,
       d.anz2,
       d.anz3,
       d.anz4,
       d.anz5,
       d.anz6,
       d.anz7,
       d.anz8,
       d.anz9,
       d.anz10,
       tk.sortierung,
     decode(coalesce(t.zuschlag,0),0,tk.zuschlag_art,b.zuschlag_art) as zuschlag_art                            
from VEREINE v, klassen k, turnierklassen tk, teilnehmer t, SCHUETZEN s, DURCHGANG2 d, bewerb b
where t.bewerb_id = tk.bewerb_id
and t.TURNIERKLASSEN_ID = tk.TURNIERKLASSEN_ID
and k.klassen_id = tk.klassen_id
and t.verein_id = v.verein_id
and s.SCHUETZEN_ID = t.SCHUETZEN_ID
and t.teilnehmer_id = d.teilnehmer_id
and t.bewerb_id = d.bewerb_id
and t.bewerb_id = b.bewerb_id
and d.summe60 > 0;

COMMIT WORK;



update turnierklassen
   set zuschlag_art = 'N'
 where zuschlag_art is null;


 commit work;


update turnierklassen
   set zuschlag_art = ''
 where zuschlag_art is null;


 commit work;



DROP VIEW TEILNEHMER_V1;


COMMIT WORK;


CREATE VIEW TEILNEHMER_V1 (BEWERB_ID, SCHUETZEN_NR, TEILNEHMER_ID, SCHUETZEN_ID, ZUNAME, VORNAME, GEB_DATUM, KLASSE_BEZEICHNUNG, SCHUSS, DISZIPLIN, VEREIN_BEZEICHNUNG, SCHEIBE_VON, SCHEIBE_BIS, KLASSE, TURNIERKLASSEN_ID, KLASSEN_ID, VEREIN_ID, MANNSCHAFT_ID, ZUSCHLAG, FINALE, NATION, PLZ, ORT, ANREDE, STRASSE, GESCHLECHT, AUSWEISNUMMER,zuschlag_art)
AS     
select t.BEWERB_ID,
       t.schuetzen_nr,
       t.teilnehmer_id,
       s.schuetzen_id,
       s.zuname,
       s.vorname,
       s.geb_datum,
       k.bezeichnung as klasse_bezeichnung,
       tk.schuss as schuss,
       tk.disziplin as disziplin,
       v.bezeichnung as verein_bezeichnung,
       t.SCHEIBE_VON,
       t.SCHEIBE_BIS,
       k.bezeichnung||' '||tk.disziplin||' '||tk.schuss as klasse,
       t.TURNIERKLASSEN_ID,
       k.klassen_id,
       t.verein_id,
       t.mannschaft_id,
       decode(coalesce(t.zuschlag,0),0,coalesce(tk.zuschlag,0),coalesce(t.zuschlag,0)) as zuschlag,
       t.finale,
       o.nation,       
       o.plz,
       o.bezeichnung as ort,
       text as anrede,
       strasse,
	   a.geschlecht,
	   s.ausweisnummer,
     tk.zuschlag_art as zuschlag_art
from bewerb b, VEREINE v, klassen k, turnierklassen tk, teilnehmer t, SCHUETZEN s
left outer join orte o on o.orte_id = s.orte_id
left outer join anrede a on a.anrede_id = s.anrede_id
where t.bewerb_id = tk.bewerb_id
and t.TURNIERKLASSEN_ID = tk.TURNIERKLASSEN_ID
and k.klassen_id = tk.klassen_id
and t.verein_id = v.verein_id
and s.SCHUETZEN_ID = t.SCHUETZEN_ID
and t.bewerb_id = b.bewerb_id
;


COMMIT WORK;



DROP VIEW DURCHGANG_V1;

COMMIT WORK;



CREATE VIEW DURCHGANG_V1 (BEWERB_ID, SCHUETZEN_NR, TEILNEHMER_ID, SCHUETZEN_ID, ZUNAME, VORNAME, GEB_DATUM, KLASSE_BEZEICHNUNG, SCHUSS, DISZIPLIN, VEREIN_BEZEICHNUNG, SCHEIBE_VON, SCHEIBE_BIS, KLASSE, TURNIERKLASSEN_ID, KLASSEN_ID, VEREIN_ID, MANNSCHAFT_ID, ZUSCHLAG, FINALE, SUMME1, SUMME2, SUMME3, SUMME4, SUMME5, SUMME6, SUMME60, ANZ_IZ, ANZ1, ANZ2, ANZ3, ANZ4, ANZ5, ANZ6, ANZ7, ANZ8, ANZ9, ANZ10, SORTIERUNG, ZUSCHLAG_ART)
AS   
select t.BEWERB_ID,
       t.schuetzen_nr,
       t.teilnehmer_id,
       s.schuetzen_id,
       s.zuname,
       s.vorname,
       s.geb_datum,
       k.bezeichnung as klasse_bezeichnung,
       tk.schuss as schuss,
       tk.disziplin as disziplin,
       v.bezeichnung as verein_bezeichnung,
       t.SCHEIBE_VON,
       t.SCHEIBE_BIS,
       k.bezeichnung||' '||tk.disziplin||' '||tk.schuss as klasse,
       t.TURNIERKLASSEN_ID,
       k.klassen_id,
       t.verein_id,
       t.mannschaft_id,
       decode(coalesce(t.zuschlag,0),0,coalesce(tk.zuschlag,0),coalesce(t.zuschlag,0)) as zuschlag,
       t.finale,
       d.summe1,
       d.summe2,
       d.summe3,
       d.summe4,
       d.summe5,
       d.summe6,
       d.summe60,
       d.anz_iz,
       d.anz1,
       d.anz2,
       d.anz3,
       d.anz4,
       d.anz5,
       d.anz6,
       d.anz7,
       d.anz8,
       d.anz9,
       d.anz10,
       tk.sortierung,
     tk.zuschlag_art as zuschlag_art              
from VEREINE v, klassen k, turnierklassen tk, teilnehmer t, SCHUETZEN s, DURCHGANG d, bewerb b
where t.bewerb_id = tk.bewerb_id
and t.TURNIERKLASSEN_ID = tk.TURNIERKLASSEN_ID
and k.klassen_id = tk.klassen_id
and t.verein_id = v.verein_id
and s.SCHUETZEN_ID = t.SCHUETZEN_ID
and t.teilnehmer_id = d.teilnehmer_id
and t.bewerb_id = d.bewerb_id
and t.bewerb_id = b.bewerb_id
and d.summe60 > 0;

COMMIT WORK;


DROP VIEW DURCHGANG2_V1;

COMMIT WORK;

CREATE VIEW DURCHGANG2_V1 (BEWERB_ID, UNTERBEWERB_ID, SCHUETZEN_NR, TEILNEHMER_ID, SCHUETZEN_ID, ZUNAME, VORNAME, GEB_DATUM, KLASSE_BEZEICHNUNG, SCHUSS, DISZIPLIN, VEREIN_BEZEICHNUNG, SCHEIBE_VON, SCHEIBE_BIS, KLASSE, TURNIERKLASSEN_ID, KLASSEN_ID, VEREIN_ID, MANNSCHAFT_ID, ZUSCHLAG, FINALE, SUMME1, SUMME2, SUMME3, SUMME4, SUMME5, SUMME6, SUMME60, ANZ_IZ, ANZ1, ANZ2, ANZ3, ANZ4, ANZ5, ANZ6, ANZ7, ANZ8, ANZ9, ANZ10, SORTIERUNG, ZUSCHLAG_ART)
AS   
select t.BEWERB_ID,
       d.unterbewerb_id,
       t.schuetzen_nr,
       t.teilnehmer_id,
       s.schuetzen_id,
       s.zuname,
       s.vorname,
       s.geb_datum,
       k.bezeichnung as klasse_bezeichnung,
       tk.schuss as schuss,
       tk.disziplin as disziplin,
       v.bezeichnung as verein_bezeichnung,
       t.SCHEIBE_VON,
       t.SCHEIBE_BIS,
       k.bezeichnung||' '||tk.disziplin||' '||tk.schuss as klasse,
       t.TURNIERKLASSEN_ID,
       k.klassen_id,
       t.verein_id,
       t.mannschaft_id,
       decode(coalesce(t.zuschlag,0),0,coalesce(tk.zuschlag,0),coalesce(t.zuschlag,0)) as zuschlag,
       t.finale,
       d.summe1,
       d.summe2,
       d.summe3,
       d.summe4,
       d.summe5,
       d.summe6,
       d.summe60,
       d.anz_iz,
       d.anz1,
       d.anz2,
       d.anz3,
       d.anz4,
       d.anz5,
       d.anz6,
       d.anz7,
       d.anz8,
       d.anz9,
       d.anz10,
       tk.sortierung,
     tk.zuschlag_art as zuschlag_art                            
from VEREINE v, klassen k, turnierklassen tk, teilnehmer t, SCHUETZEN s, DURCHGANG2 d, bewerb b
where t.bewerb_id = tk.bewerb_id
and t.TURNIERKLASSEN_ID = tk.TURNIERKLASSEN_ID
and k.klassen_id = tk.klassen_id
and t.verein_id = v.verein_id
and s.SCHUETZEN_ID = t.SCHUETZEN_ID
and t.teilnehmer_id = d.teilnehmer_id
and t.bewerb_id = d.bewerb_id
and t.bewerb_id = b.bewerb_id
and d.summe60 > 0;

COMMIT WORK;



UPDATE KONFIG
   SET WERT = '31'
 WHERE PC = '$$GLOBAL$$'
   AND VAR = 'LAST_SQL';
   
COMMIT WORK;